% Rate of the reaction along the length of the reactor
clc
Wspan = [0 80]; % Range for the Weight of the Catalyst. 
y0 = [15 15 0 1]; % Initial values for the dependent variables Fa, Fb, Fc and p
[w,y]=ode45(@ODEfun,Wspan,y0);
z=size(y);
Ct0 = 0.02;
k = 5000; 
for i=1 : z(1,1)
    % Calculating the values of rate from its expression
    Ft(i)=y(i,1)+y(i,2)+y(i,3);
 Ca(i) = Ct0*(y(i,1)/Ft(i))*y(i,4);
Cb(i) = Ct0*(y(i,2)/Ft(i))*y(i,4); 
Cc(i) = Ct0*(y(i,3)/Ft(i))*y(i,4);
 ra(i) = -k*Ca(i)*Cb(i); 
rb(i) = ra(i); 
rc(i) = 3*(-ra(i));
   end
    plot(w,-ra,w,-rb,w,-rc)
    xlabel('Catalyst Weight')
    ylabel('Rate')
    legend('-ra^/','-rb^/','-rc^/')
    title('Reaction rate profile')